# MySQL dump 8.13
#
# Host: localhost    Database: tunez
#--------------------------------------------------------
# Server version	3.23.36

#
# Table structure for table 'current_mood'
#

CREATE TABLE current_mood (
  mood_id tinyint(4) default '0'
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'genres'
#

CREATE TABLE genres (
  genre tinyint(4) NOT NULL default '0',
  genrename varchar(32) NOT NULL default '',
  PRIMARY KEY  (genre)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'goes_with_mood'
#

CREATE TABLE goes_with_mood (
  song_id mediumint(6) NOT NULL default '0',
  mood_id tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (song_id,mood_id)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'history'
#

CREATE TABLE history (
  history_id mediumint(6) NOT NULL auto_increment,
  song_id mediumint(6) NOT NULL default '0',
  user_id tinyint(4) NOT NULL default '0',
  timestamp timestamp(14) NOT NULL,
  PRIMARY KEY  (history_id)
) TYPE=MyISAM;

#
# Table structure for table 'lyrics'
#

CREATE TABLE lyrics (
  song_id mediumint(6) NOT NULL default '0',
  lyrics text NOT NULL,
  PRIMARY KEY  (song_id)
) TYPE=MyISAM;

#
# Table structure for table 'moods'
#

CREATE TABLE moods (
  mood_id tinyint(4) NOT NULL auto_increment,
  mood_name varchar(255) NOT NULL default '',
  PRIMARY KEY  (mood_id)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'np'
#

CREATE TABLE np (
  song_id mediumint(6) NOT NULL default '0'
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'oldhistory'
#

CREATE TABLE oldhistory (
  history_id mediumint(6) NOT NULL auto_increment,
  song_id mediumint(6) NOT NULL default '0',
  user_id tinyint(4) NOT NULL default '0',
  timestamp timestamp(14) NOT NULL,
  PRIMARY KEY  (history_id)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'preferences'
#

CREATE TABLE preferences (
  user_id tinyint(4) NOT NULL default '0',
  songsperpage smallint(6) NOT NULL default '50',
  PRIMARY KEY  (user_id)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'queue'
#

CREATE TABLE queue (
  queue_id mediumint(6) NOT NULL auto_increment,
  song_id mediumint(6) NOT NULL default '0',
  user_id tinyint(4) NOT NULL default '0',
  timestamp timestamp(14) NOT NULL,
  PRIMARY KEY  (queue_id)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'songs'
#

CREATE TABLE songs (
  song_id mediumint(6) NOT NULL auto_increment,
  artist varchar(128) default NULL,
  songtitle varchar(128) default NULL,
  filename varchar(250) NOT NULL default '',
  timesPlayed int(11) NOT NULL default '0',
  playInRandomMode tinyint(1) NOT NULL default '1',
  album varchar(255) NOT NULL default '',
  year int(11) NOT NULL default '0',
  genre int(11) NOT NULL default '0',
  PRIMARY KEY  (song_id)
) TYPE=MyISAM PACK_KEYS=1;

#
# Table structure for table 'users'
#

CREATE TABLE users (
  user_id tinyint(4) NOT NULL auto_increment,
  user varchar(32) NOT NULL default '',
  pw varchar(32) NOT NULL default '',
  email varchar(100) default NULL,
  status tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (user_id),
  UNIQUE KEY user (user)
) TYPE=MyISAM PACK_KEYS=1;

